# 1_dbgw.sh
#
# -----------------------------------------------------------------
# IBM Confidential
# OCO Source Material
# 5724Q99
# (C) Copyright IBM Corp.1998, 2006
# The source code for this program is not published or otherwise 
#  divested of its trade secrets, irrespective of what has been 
# deposited with the U. S. Copyright Office.
# -----------------------------------------------------------------
# $Id: //depot/rbo/src/installer/scripts/solaris/1_dbgw.sh#6 $
#!/bin/sh

echo 'IBM Tivoli Provisioning Manager for OS Deployment'

SYSCONFIG_FILE="/etc/tpmfosdvars"

# source Rembo settings
. ${SYSCONFIG_FILE}

DBGW_BIN="${REMBO_DIR}/dbgw.jar"
DBGW_PID="${CHROOT_PREFIX}/var/run/dbgw.pid"
DBGW_PARAMS=" -cp ${DBGW_CLASSPATH} -Djdbc.drivers=${JDBC_DRIVER} com.rembo.dbgw.Dbgw"

case "$1" in
    start)
        echo "Starting Database gateway "
        ${JAVA_BIN} ${DBGW_PARAMS} &
	echo $! > ${DBGW_PID}
        ;;
    stop)
        echo "Stopping Database gateway "
        kill `cat ${DBGW_PID}`
        ;;
    *)
        echo "Usage: `basename $0` {start|stop}" >&2
        exit 64
        ;;
    esac
exit 0