# 2_rembo.sh
#
# -----------------------------------------------------------------
# IBM Confidential
# OCO Source Material
# 5724Q99
# (C) Copyright IBM Corp.1998, 2006
# The source code for this program is not published or otherwise 
#  divested of its trade secrets, irrespective of what has been 
# deposited with the U. S. Copyright Office.
# -----------------------------------------------------------------
# $Id: //depot/rbo/src/installer/scripts/bsd/2_rembo.sh#4 $
#!/bin/sh

echo 'IBM Tivoli Provisioning Manager for OS Deployment'

REMBO_DIR="/usr/local/tpmfos-5.1"
REMBO_BIN="${REMBO_DIR}/rembo"
REMBO_PID="${CHROOT_PREFIX}/var/run/rembo.pid"
REMBO_CONF="${REMBO_DIR}/rembo.conf"

case "$1" in
    start)
        echo "Starting OS Deployment server "
        ${REMBO_BIN}
        ;;
    stop)
        echo "Stopping OS Deployment server "
        kill `cat ${REMBO_PID}`
        ;;
    *)
        echo "Usage: `basename $0` {start|stop}" >&2
        exit 64
        ;;
    esac
exit 0